### 4.25.1 pyobject declarations

Syntax:
  pyobject name `=` pyobject_expression `;`

Purpose:
  defines a `python` object.

Default:
  `None`

Example:

        pyobject empty;
        empty;
      ==> None

        pyobject pystr = "Hello World!";
        pyobject pyone = 17;
        pyobject pylst = list(pystr, pyone);
        pylst;
      ==> ['Hello World!', 17]

User manual for Singular version 4-0-3, 2016, generated by texi2html.